Subject: bug#51371: 28.0.50; [PATCH] Make list-colors-display sorting support general

From: dalanicolai <[email-masked]>
Date: Sun, 24 Oct 2021 15:16:12 +0200

(@stefan Did not notice it was a group message)

Not really, I think. But if so then I guess we could just call it with
list-colors-sort set to nil:
```
(let ((list-colors-sort 'nil))
  (list-colors-display (mapcar #'car shr-color-html-colors-alist)
                       nil))
```

On Sun, 24 Oct 2021 at 14:47, Stefan Kangas <[email-masked]> wrote:

> dalanicolai <[email-masked]> writes:
>
> > The snippet passes colors form the shr-color-html-colors-alist variable
> > to list-colors-display. However, currently, despite the docstring
> > suggesting to me something different, the list-colors-display function
> > only applies its sort functionality if no list is passes as argument.
> > I don't see a good reason for that limitation, because the limitation is
> > set using a when condition, while the sort function works perfectly fine
> > with custom color-lists (e.g. try the snippet above).
> >
> > So this patch simply removes the (when (null list)) condition, and
> > passes the list, if given, to the sort functionality.
> > Adapting the docstring is not necessary as it already suggests that the
> sort functionality works in general.
>
> Is there any situation in which you wouldn't want the list sorted?
>